Class | Compass::SassExtensions::Sprites::SpriteMap
In: | lib/compass/sass_extensions/sprites/sprite_map.rb
Parent: | Sass::Script::Literal

### Methods

from_uri inspect method_missing new relative_name respond_to? to_s

### Included Modules

SpriteMethods ImageMethods LayoutMethods

### Attributes

engine | [RW] |
height | [RW] |
image_names | [RW] |
images | [RW] |
kwargs | [RW] |
map | [RW] |
name | [RW] |
path | [RW] |
width | [RW] |

### Public Class methods

from_uri(uri, context, kwargs)

Initialize a new sprite object from a relative file path the path is relative to the `images_path` confguration option

new(sprites, path, name, context, kwargs)
relative_name(sprite)

### Public Instance methods

inspect()
method_missing(meth, *args, &block)
respond_to?(meth)
to_s(kwargs = self.kwargs)

[Validate]